- name: Log into DockerHub
  community.docker.docker_login:
    username: '{{ docker_hub_login }}'
    password: '{{ docker_hub_password }}'

- name: Run container
  community.docker.docker_container:
    name: devops-example-app
    image: earthrobot/devops-example-app:v1
    published_ports: 8080:5000
    restart_policy: always
    restart: yes
    container_default_behavior: no_defaults
    pull: yes
    env:
      SERVER_MESSAGE: '{{ ansible_default_ipv4.address }}' 
